#!/usr/bin/bash
source "${0%/*}/functions.sh"

case "$1" in
  new)
    image=$2
    do_new_project
    ;;
  setup)
    do_setup
    ;;
  reset)
    do_reset
    ;;
  config)
    do_config
    ;;
  build)
    docker_opts=${@%build}
    do_build
    ;;
  push)
    docker_opts=${@%push}
    do_push
    ;;
  login)
    do_login
    ;;
  logout)
    do_logout
    ;;
  console)
    docker_opts=${@%console}
    do_console
    ;;
  clean)
    do_clean
    ;;
  update)
    do_update
    ;;
  *)
    echo -e "\
Usage:\n\
  - docker-runner new [project_name]    新建一个镜像\n\
  - docker-runner setup                 执行环境初始化\n\
  - docker-runner reset                 重置执行环境\n\
  - docker-runner config                查看当前执行环境\n\
  - docker-runner build                 构建镜像\n\
  - docker-runner push                  推送镜像到远程仓库\n\
  - docker-runner login                 登录镜像远程仓库\n\
  - docker-runner logout                退出镜像远程仓库\n\
  - docker-runner console               开启镜像控制台\n\
  - docker-runner clean                 Docker环境清理\n\
  - docker-runner update                更新镜像模板\n\
  - docker-runner version               查看当前版本\n\
    " >&2
    if [ '$VERSION' != '' ]; then
      echo $VERSION >&2
    fi
    exit 3
    ;;
esac